Subject: Re: [bug#28452] [PATCH 0/6] On-line doc and search for services

From: Christopher Baines <[email-masked]>
Date: Thu, 14 Sep 2017 08:37:34 +0100

On Wed, 13 Sep 2017 23:17:56 +0200
Ludovic Courtès <[email-masked]> wrote:

> Hello!
> 
> This patch series adds a new ‘guix system search’ command to search
> through the available services types:
> 
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env guix system search anony network
> name: tor
> location: gnu/services/networking.scm:670:2
> extends: shepherd-root account activate
> description: Run the Tor (https://torproject.org) anonymous
> networking daemon. relevance: 9
> 
> name: static-networking
> location: gnu/services/networking.scm:248:2
> extends: shepherd-root etc
> description: Turn up the specified network interfaces upon startup,
> with the given IP
> + address, gateway, netmask, and so on.  The value for services of
> this type is a list of
> + `static-networking' objects, one per network interface.
> relevance: 6
> 
> name: network-manager
> location: gnu/services/networking.scm:947:4
> extends: shepherd-root dbus polkit activate profile
> description: Run NetworkManager
> (https://wiki.gnome.org/Projects/NetworkManager), a
> + network management daemon that aims to simplify wired and wireless
> networking. relevance: 6
> 
> [...]
> --8<---------------cut here---------------end--------------->8---
> 
> I think this can be pretty useful.  It also works with service types
> that have #f as their ‘description’ field, which is the vast majority
> of them (help welcome!).
> 
> Possible improvements and related things:
> 
>   • Display each field and value of the default value of services.
> 
>   • Add ‘guix system edit’ or ‘guix edit --service’?
> 
>   • Add a web UI to browse services.
> 
> Comments welcome!

This looks awesome Ludo :) I've tried it out locally, and it works
well. Obviously it will work a lot better when more services have
descriptions, but this is a great start.

I've also had a look through the patches, and they all look good to me.